Subject: Re: Slow LW 4.0/4.1 for Amiga
From: Brian Dady <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Tue, 23 Jan 1996 16:18:06 -0500

On Tue, 23 Jan 1996, Jamie Krutz wrote:

> In article <[email-masked]> [email-masked] writes:
> > Reply:  Item #5785643 from [email-masked]@INET#
> > 
> > LW for the Amiga renders slow due to the lack of a good C compiler.
> > 
> > NewTek previously used the Manx compiler to generate fast efficient
> > code. They can't use it any longer due to incompatibility problems
> > with the latest OS.
> 
> That's curious, I've used LW 3.1 (Toaster version) on an AmigaOS
> 3.1 machine with no problems.

I think he meant the Manx compiler is not compatible with AmigaDOS 3.1.

> 
> > They switched over to the SAS compiler, which
> > generates slow fat code. 
> 
> I had thought SAS won the speed war. Manx has been gone a long,
> long time.

I thought the same thing and haven't had any size/speed problems with the 
code generated by SAS C 6.55.  The only problem is that SAS no longer 
supports it.  Hopefully AT will convince them to resume work on it.
They were really making great progress after taking the Development 
system over from Lattice.

> > (On a sadder note, no one makes an Amiga C compiler that is optimized
> > for the 060 chip. The best it can do is emulate an 040.)
> 
> I wonder if Amiga Technologies will do anything to remedy this? 
> Still, the 060 is inexpensive and does give you a faster Amiga than
> an 040 machine even with current compilers.

I think Allen could do some optimizing using SAS and make big 
improvements even without 060 support.  Hopefully AT will do something to 
remedy the compiler situation.

===============================================
 Brian Dady --* Video Magic / modeller    ///
 Santa Clara,   California / animator    ///
 Email:  [email-masked] / S/W dev  \\\///
======================================\XX/=====